AutoCAD Inventor :: Function Evaluation - Rounding To Nearest Whole Number
Mar 14, 2012
One of the users on mCADForums discovered this bug.
"I have a value of 3516.41mm and I want to round it to the nearest whole number.
I have tried to use the round command and it seems to round up to the nearest 10 so 3516.41mm would round up to 3520mm. So how do I get would I go about rounding to the nearest whole number?"
I suspect this is due to Inventor's internal units being cm. However as we specific "a" to be in mm and "b" to be in mm this should not be happening.
Way to round decimal dimension values to the nearest 1/16"? For instance, 43.0599 would display as 43.0625 (On a drawing). Tried playing with tolerances, but thought it would be better addressed as customization.
Any information about using the floor command within iLogic. i have written the rule ok and it does not come up with an error. However the rule doesn't actually activate, as the component pattern it is set to gives it 7.6 ul. Inventor then automatically rounds this up, the floor rule should counteract this but does not.
I have two user parameters saved in a part template that are tied to the part volume and an overall estimated part weight. The user parameter Pc_Volume is the volume in cubic feet and calculated by pulling the part mass (in cubic inches) and converting to cubic feet via ilogic rule. This is then automatically run via event triggers before a file is saved and if the part geometry has changed to keep the volume up to date. These are exported because they get pulled into iproperties of our drawing files as well as used to create a parts lists showing the volumes and weights.
I have the property formats of the user parameters set to Number and to unitless and the unit display turned off so it does not show on the parts list, with a precision of 0.000 for Pc_Volume. The Pc_Weight is set the same way however with a precision rounded to the nearest whole number.
These are created this way so when we use the part file as the template when we select "Make Components" to separate our parts and tie them to an assembly all the files are then updated and the information saved for exporting.
The problem is, the Pc_Volume always comes in rounded to a whole number. The Pc_Weight Does as well, but that doesn't bother me since we want it to do that anyway. If I would go into the part file after it's created, double check the precision and then re-run the rule the volume will show up with the correct precision in the exported parameters. I don't want to have to open each partfile however to get this to update.
Attached are images of the parameters, ilogic rule, and exported results.
Is there a setting to not have adobe Photoshop round up or down to the nearest full number? My X-rite scanner reads in the hundreds and I would like more color accuracy.
I read here that humans can't see any difference smaller than 1. I disagree, maybe 1 in the L value, but a and b seem to be a little less.
In a part or assembly i want to find all holes. i can access all the holeFeatures, but if the user has copied or mirrored the feature, the hole itself is not in the list..i have found this code
Try Dim oDoc As PartDocument oDoc = _invApp.ActiveDocument Dim oDef As PartComponentDefinition oDef = oDoc.ComponentDefinition [code]..
In a drawing i can place a holeTable with all the holes inside.What is the right access to reach also those holes, which do not come directly from the HoleFeature.
Is there some super secret option for making fractions in the drawing environment round up to the nearest, for example, 1/16th? There has to be, there just has to be.
IV2012 Windows XP SP3 32-bit Intel Core 2 Duo 6400 @ 2.13 GHz Nvidia Quadro FX 3450/4000 SDI 256MB Vram 2 GB Ram 160GB HDD
Way to round decimal dimension values to the nearest 1/16"? For instance, 43.0599 would display as 43.0625 (On a drawing). Tried playing with tolerances, but thought it would be better addressed as customization.
I'm trying to be able to have a function run another function with the secondary function being passed as an argument to the first. I'm trying to create a recursive function and the recursive part works great. I just need to be able to have the recursive function run other functions to actually do stuff.
Here is something I found that should do what I need, mainly run a function from a function name in a variable.
Sub test() Dim ftnName As String Dim argument As String Dim result As String ftnName = "myFunction" argument = "cat" result = Application.Run(ftnName, argument) MsgBox resultEnd SubFunction myFunction(inString As String) As String myFunction = inString & " has " & Len(inString) & " letters."End Function
However I get the error "object required" on the "result = Application.Run(ftnName, argument)" line. So I'm guessing the Inventor VBA doesn't like this method of doing this. I'm just hoping there is a way to do this or this function will be useless or reduced to hardcoding functions which still defeats the purpose.
i have a site which has a mound in the middle, and quite a few drainage swales running downhill from it, radiating in all directions. i want to calculate a rough estimate of how much fill is required to fill in all those swales (roughly). picture that the existing ridgeline "noses" will be left as is, and the valleys in between are the ones that I want to fill in. the project boundary (toe of slope) is the elevation that I want to hold.
i tried grading tools, and corridors as well, but could not come up with a good way to do this. what I ended up doing is i laid out some feature lines that follow the existing ridgelines down the hill (the banks of the swales), then created a feature line of the project boundary (draped on EG), and a feature line at the top of the mound as the highest elevation, created a TIN from those feature lines so that it triangulates across the swales, and then ran a volume comparison. not the best way i know, but could not think of a better way at that moment.
Anyway, one of our cad operators is running into the following error when he opens a particular drawing or when he audits it:
Associative Network Evaluation Error
The object cannot be resolved or value limit has been exceeded.
Inconsistent associative objects may display geometry and grips incorrectly and update in unexpected ways when edited. You can undo to restore the associative object to its previous state.
From what he's described to me, it sounds as if he is building this from several separate files. At some point, things go nutty, and that error develops. When the file is loaded, things are out of position, etc.
No luck in getting that error to vanish. Told him to add the individual parts one at a time, and saving versions as he works so we can, hopefully, find what is breaking everything.
Every time I open this drawing, I get this error message:"Inconsistent associative objects may display geometry and grips incorrectly and update in unespected ways when edited. You can undo to restore the associative object to its previous state."
I wonder if this is the result of one of the xref files from the civil, and what to "undo" to whatever "previous state" will prevent this popup window.
Previous searches on this error have brought up discussion of CIvil 3D grouped objects, but like I said, these are simply files we've referenced into our landscape base.
I know of DIMRND, but how is it possible make acad round dimensions UP (within a specified value) instead of to the nearest?
(This could be very handy to make various lengths of wooden baseboards and other mountings fit to machine cabinet standard lengths. I'd like to keep all the work in acad, and avoid ms-excel.)
My "Nearest" osnap is not even close to snapping to my circle. All other snaps are working fine, nearest snap are working on lines and rectangles, not at all on circles.
I'm trying to build a command to replace AutoCAD's "DI" command, to give distance and delta x, y, and z values in decimal and imperial, and keep the angles in XY plane and out of XY plane.
I couldn't find a topic like this, I find the forums still a bit confusing. I am a student and I wanted to try Photoshop CS6, downloaded and installed the trial quite some time ago now and have not used it and the trial already expired. Is there any way to set it back, so I can actually try it out?
I'm currently evaluating the product. I like most of what I see, but I do have one major issue - animation of text. You can't use the transitions on the text because they effect the entire screen, not just the text, blacking out the main video. The text animations only have a few types that allow entry and exits. Which mean that the text can pop-up, but only disappear at the end. This seems to be a major oversite in an otherwise stellar product. I use pinicle now, which is nowhere near as nice in most aspects, but in pinicle I can slide text on and curl off or any other combo I choose. Way better.
I am looking for a way to get my dimensions to round up instead of to the nearest.
For example... when I have one line that is 11-15/32" and one that is 11-17/32" and I need them to round up to the nearest 1/4". I want it to round up, showing 11-1/2" and 11-3/4" but instead i get 11-1/2" for both.
I'm using VB.NET to write a routine that autmatically calculates the area of the polyline nearest to a block (the pline surrounds the block) an then adds the area to the blocks attribute.
I managed to write the program to do this manually for a selected pline and block.
How can I automatically select a pline nearest to the selected blocks' insertion point?
I have an array of co-ordinates (List A) from a polyline. I have one of the co-ordinate (B) from a polyline which is located around the array of co-ordinates of the other polyline (List A).
I want to detect the co-ordinate in List A which is closest to co-ordinate (B).
Known co-ordinates would be,
1. Array of co-ordinates 2. the reference co-ordinate.
I have a big assembly consisting of a large number of sub assemblies and parts.I would like to be able to quickly show color alternatives. All painted parts will be painted in one of two colors.I would like to have a function that takes two color arguments that will set the color of a number of parts to the first color and some other parts to the second color. Not all parts need to be painted.
set the color of all parts in a assembly to one color.But I have two sets of parts for different colors and not all parts need to be colored.How can I do this best? iLogic? How do I have to input the colors?
How to deal with repeating patterns (should still work when changing the repeat count)?Also, there should be some text on some parts. Can I also change this text color automatically?